select
	ad_id
from
	ad_params
where
	name = 'external_ad_id'
and
	value = '<%%external_ad_id%>'
and
	ad_id in (
		select distinct
			ad_id
		from
			ad_params
		where
			name = 'link_type'
		and
			value = '<%%link_type%>'
	);
